## dovecot 2.3.21.1+dfsg1

=== debian/changelog ===
dovecot (1:2.3.21.1+dfsg1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 17 Aug 2024 13:39:20 -0400

dovecot (1:2.3.21.1+dfsg1-1) unstable; urgency=medium

  [ Noah Meyerhans ]
  * [452a10b] Move systemd unit files to /usr (Closes: #1071915)

  [ Niels Thykier ]
  * [a9caf51] Avoid unnecessary implicit requirement for `(fake)root`

  [ Christian Göttsche ]
  * [8c253d1] salsa-ci: enable build_twice job
  * [47122cd] Bump to standards version 4.7.0 (no further changes)
  * [4062094] Replace obsolete build-dependency pkg-config with pkgconf
  * [f1221b8] Split overlong line in changelog
  * [dd876aa] Annotate Debian patches
  * [590287e] Fix typos in changelog

  [ Noah Meyerhans ]
  * [a212eb8] New upstream version 2.3.21.1+dfsg1
    - Fix CVE-2024-23185 (Closes: #1078877)
    - Fix CVE-2024-23185 (Closes: #1078877)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 17 Aug 2024 13:26:24 -0400

dovecot (1:2.3.21+dfsg1-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 22 Mar 2024 11:36:20 -0700

dovecot (1:2.3.21+dfsg1-3) unstable; urgency=medium

  * [883dc1a] Add libtirpc-dev to build-depends (Closes: #1065213)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 09 Mar 2024 22:31:22 -0800
