## dovecot 2.4.1%2Bdfsg1

=== debian/changelog ===
dovecot (1:2.4.1+dfsg1-6+deb13u2) trixie; urgency=medium

  * [6ac2883] Clean up a few typos in default/example config (Closes: #1112667)
  * [7feb544] Ensure default lmtpd auth_username_format matches the global value
    (Closes: #1111469)
  * [216ec20] import upstream patch for improperly terminated auth_oauth2_post_setting_defines
    (Closes: #1116328)
  * [46eab61] lib-sieve/sieve-script.c: sieve_script_create_common: Correctly handle errors.
    (Closes: #1116070)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 23 Oct 2025 10:01:33 -0400

dovecot (1:2.4.1+dfsg1-6+deb13u1) trixie-security; urgency=high

  * Import upstream fix for an issue with authentication cache management that
    could result in users being logged in as the wrong user in certain
    configurations. (CVE-2025-30189) (Closes: #1115964)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 24 Sep 2025 09:14:50 -0400

dovecot (1:2.4.1+dfsg1-6) unstable; urgency=medium

  * [8c6ba88] Fix LDAP SASL auth support (Closes: #1106784)
  * [fac9131] Avoid -fstack-clash-protection on hppa architecture
    (Closes: #1107609)
  * [071beb5] d/control: update Uploaders to reflect the current reality

 -- Noah Meyerhans <noahm@debian.org>  Wed, 18 Jun 2025 10:01:58 -0400

dovecot (1:2.4.1+dfsg1-5) unstable; urgency=medium

  * [e6e5ef7] Fix typo in conf.d/auth-passwdfile.conf.ext (Closes: #1106072)
  * [2a34ed0] Import upstream fix for dovecot-lda data loss (Closes: #1106485)
  * [6c287ea] Fix typo in doveadm-fetch(1) (Closes: #1106533)
  * [11f8b62] Fix invalid metadata in debian/patches/skip-rfc-subdir.patch

 -- Noah Meyerhans <noahm@debian.org>  Wed, 28 May 2025 15:45:52 -0400

dovecot (1:2.4.1+dfsg1-4) unstable; urgency=medium

  * [235de56] managesieved: lintian: suppress library-not-linked-against-libc
  * [74e7dcd] Ensure we use a 32-bit time_t on i386
  * [461bc68] dovecot-core: postinst: fix purge of obsolete ucf conf files
    (Closes: #1105003)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 12 May 2025 20:36:26 -0400

dovecot (1:2.4.1+dfsg1-3) unstable; urgency=medium

  * [bdf895a] upstream fix for GSSAPI authentication regression
    (Closes: #1104549)
  * [8f15017] d/copyright: Correct canonical reference to GNU licenses
  * [ad8f661] dovecot-flatcurve: correct missing dependency on ucf
  * [131567a] Fix miscellaneous groff errors in upstream manpages
  * [a4a1404] Correct lintian warning debian-news-entry-has-unknown-version

 -- Noah Meyerhans <noahm@debian.org>  Fri, 02 May 2025 11:20:05 -0400

dovecot (1:2.4.1+dfsg1-2) unstable; urgency=medium

  * [7c1b5b9] dovecot-ldap: postinst: correct conffile list (Closes: #1104047)
  * [73a254a] config: set mail_home and add mbox deprecation note

 -- Noah Meyerhans <noahm@debian.org>  Mon, 28 Apr 2025 15:53:54 -0400

dovecot (1:2.4.1+dfsg1-1) unstable; urgency=medium

  * Release 1:2.4.1+dfsg1-1 to unstable

 -- Noah Meyerhans <noahm@debian.org>  Thu, 24 Apr 2025 13:06:17 -0400

dovecot (1:2.4.1+dfsg1-1~exp2) experimental; urgency=medium

  * [e30a611] flatcurve: Set breaks+replaces relationship on dovecot-fts-flatcurve
    (Closes: #1102937)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 18 Apr 2025 15:34:42 -0400

dovecot (1:2.4.1+dfsg1-1~exp1) experimental; urgency=medium

  * [18c4170] d/watch: handle suffixes in upstream release filenames
  * [340250d] New upstream version 2.4.1+dfsg1
  * [2fcd382] Ensure we don't try to download files from the internet during build
  * [4497016] refresh patches
  * [af108c1] Remove obsolete patches
  * [0ed2624] Fix 32-bit integer rollover in tests
  * [528f075] d/rules: remove autogenerated sources on clean

 -- Noah Meyerhans <noahm@debian.org>  Sun, 30 Mar 2025 11:48:57 -0400

dovecot (1:2.4.0+dfsg1-1~exp6) experimental; urgency=medium

  * [827f8b7] fix and re-enable 32-bit builds

 -- Noah Meyerhans <noahm@debian.org>  Mon, 24 Mar 2025 15:16:57 -0400

dovecot (1:2.4.0+dfsg1-1~exp5) experimental; urgency=medium

  * [cea2f60] d/rules: remove additional files on clean
  * [24e625b] ci: extend the timeout for the test-build-twice job
  * [1df7d66] Fix ABI identification and add safety checking for it

 -- Noah Meyerhans <noahm@debian.org>  Mon, 17 Mar 2025 09:56:33 -0400

dovecot (1:2.4.0+dfsg1-1~exp4) experimental; urgency=medium

  * [0806d3b] Move 90-sieve-extprograms back to dovecot-sieve where it belongs
    (Closes: #1100146)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 13 Mar 2025 17:41:17 -0400

dovecot (1:2.4.0+dfsg1-1~exp3) experimental; urgency=medium

  * [4989934] Install a config file for flatcurve
  * [baeb072] Add default lmtpd configuration
  * [1d1d874] d/rules: drop some obsolete configure options
  * [6bc7f0b] pigeonhole: enable ldap pluggin support
  * [1998623] Enable experimental support for SMTPUTF8 and UTF8=ACCEPT
  * [22abd27] enable cdb support
  * [369d4a4] ci: disable i386 builds
  * [e6ff65b] update autopkgtests
  * [56dd0d6] debian/dovecot-core.NEWS: Document configuration changes
  * [3d12c1e] d/rules: Update ABI detection

 -- Noah Meyerhans <noahm@debian.org>  Tue, 11 Mar 2025 11:31:12 -0400

dovecot (1:2.4.0+dfsg1-1~exp2) experimental; urgency=medium

  * [ab636e4] Correct ucf handling of /etc/dovecot/dovecot.conf
  * [ea5102c] Stop building for 32-bit architectures
  * [88fecb4] fix shell error in dovecot-managesieved.postinst
  * [68875fa] Fix some groff issues in manpages
  * [b406a2f] drop stale lintian overrides
  * [34e4a3b] lintian: ignore circular dependency between -core and -sieve
  * [ee13475] d/copyright: Update or remove some attributions

 -- Noah Meyerhans <noahm@debian.org>  Wed, 12 Feb 2025 16:39:17 -0500

dovecot (1:2.4.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Michael Tokarev ]
  * Update to 2.4.0

  [ Noah Meyerhans ]
  * Update default configuration from upstream example config bundle at
    https://github.com/dovecot/tools/blob/main/dovecot-2.4.0-example-config.tar.gz
  * Remove obsolete config files on upgrade if unmodified
  * Update /usr/share/dovecot/protocols.d/* for 2.4


