## dovecot 2.4.1+dfsg1

=== debian/changelog ===
dovecot (1:2.4.1+dfsg1-9) unstable; urgency=medium

  * [58328b9] Add postgres userdb/passdb autopkgtest coverage
  * [f5ce82f] Add mariadb userdb/passdb autopkgtest coverage
  * [3f9b9ae] Apply the rest of the cross-build patch (Closes: #983791)
  * [33dcea2] lib-index: Fix storing cache fields' last_used with 32bit big
    endian CPUs (Closes: #1107608)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 30 Sep 2025 18:45:45 -0400

dovecot (1:2.4.1+dfsg1-8) unstable; urgency=medium

  * [57a6237] d/control: Add libcrypt-dev to Build-Depends (Closes: #1106915)
  * [9fc8885] import upstream patch for improperly terminated
    auth_oauth2_post_setting_defines (Closes: #1116328)
  * [c624fe6] lib-sieve/sieve-script.c: sieve_script_create_common: Correctly
    handle errors. (Closes: #1116070)
  * [769dd9c] d/rules: Pass the current C compiler krb5-config.mit
    (Closes: #983791)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 29 Sep 2025 19:14:28 -0400

dovecot (1:2.4.1+dfsg1-7) unstable; urgency=medium

  * [ebfdfa6] [PATCH] auth: Use AUTH_CACHE_KEY_USER instead of
    per-database constants (Closes: #1115474)
  * [4a9e872] Clean up a few typos in default/example config (Closes: #1112667)
  * [db01b1f] Ensure default lmtpd auth_username_format matches the global value
    (Closes: #1111469)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 22 Sep 2025 12:53:14 -0400
