=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: mail
 Priority: optional
 Maintainer: Dovecot Maintainers <dovecot@packages.debian.org>
-Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>,
-           Jelmer Vernooij <jelmer@debian.org>,
-           Apollon Oikonomopoulos <apoikos@debian.org>,
-           Noah Meyerhans <noahm@debian.org>
+Uploaders: Noah Meyerhans <noahm@debian.org>
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                krb5-multidev,
                libapparmor-dev [linux-any],
                libbz2-dev,
                libcap-dev [linux-any],
+               libcdb-dev,
+               libcrypt-dev,
                libdb-dev,
                libexpat-dev,
                libexttextcat-dev,
@@ -29,10 +28,12 @@
                libstemmer-dev,
                libsystemd-dev [linux-any],
                libtirpc-dev,
-               libunwind-dev [amd64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
+               libunwind-dev,
                libwrap0-dev,
+               libxapian-dev,
                libzstd-dev,
                lsb-release,
+               lua-json <!nocheck>,
                pkgconf,
                zlib1g-dev
 Standards-Version: 4.7.0
@@ -51,7 +52,8 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: dovecot-gssapi,
+Suggests: dovecot-flatcurve,
+          dovecot-gssapi,
           dovecot-imapd,
           dovecot-ldap,
           dovecot-lmtpd,
@@ -242,6 +244,23 @@
  .
  This package provides Sieve filters support for Dovecot.
 
+Package: dovecot-flatcurve
+Architecture: any
+Conflicts: dovecot-fts-flatcurve
+Replaces: dovecot-fts-flatcurve
+Depends: dovecot-core (= ${binary:Version}),
+         ucf,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: secure POP3/IMAP server - Flatcurve support
+ Dovecot is a mail server whose major goals are security and extreme
+ reliability. It tries very hard to handle all error conditions and verify
+ that all data is valid, making it nearly impossible to crash. It supports
+ mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
+ fast, extensible, and portable.
+ .
+ This package provides Flatcurve full text search support for Dovecot.
+
 Package: dovecot-solr
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -279,8 +298,3 @@
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
  that all data is valid, making it nearly impossible to crash. It supports
- mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
- fast, extensible, and portable.
- .
- This package contains an authentication plugin allowing password and user
- databases to be implemented in Lua.
