=== debian/tests/control ===
Tests: doveadm
Depends: dovecot-core
Restrictions: needs-root

Tests: systemd
Depends: dovecot-core, systemd-sysv

Test-Command: run-parts --report --exit-on-error debian/tests/usage
Depends: dovecot-imapd, dovecot-pop3d, python3
Restrictions: needs-root, breaks-testbed, allow-stderr

Tests: testmails
Restrictions: needs-root, breaks-testbed
Depends: dovecot-imapd, dovecot-pop3d, lsb-release, python3, python3-passlib

# test postgres userdb/authdb
Test-Command: run-parts --report --exit-on-error debian/tests/postgres
Restrictions: needs-root, breaks-testbed, allow-stderr
Depends: dovecot-imapd, dovecot-pop3d, dovecot-pgsql, python3, postgresql

Test-Command: run-parts --report --exit-on-error debian/tests/mariadb
Restrictions: needs-root, breaks-testbed, allow-stderr
Depends: dovecot-imapd, dovecot-pop3d, dovecot-mysql, python3, mariadb-server
