## dovecot 2.4.2+dfsg1

=== debian/changelog ===
dovecot (1:2.4.2+dfsg1-1) unstable; urgency=medium

  * [812f0ea] d/control: update time-daemon Suggests (Closes: #1118232)
  * [658bbd5] Revert "d/watch: handle suffixes in upstream release filenames"
  * [7ada151] New upstream version 2.4.2+dfsg1
  * [5e41d98] Refresh or remove patches as needed
  * [ff4b25e] Fix detection of krb5 CFLAGS
  * [975f35c] Fix a compile failure on 32-bit systems
  * [751bdb7] exclude developer scripts from package

 -- Noah Meyerhans <noahm@debian.org>  Thu, 13 Nov 2025 08:22:28 -0500
