=== debian/control ===
--- 
+++ 
@@ -65,7 +65,7 @@
           dovecot-solr,
           dovecot-sqlite,
           dovecot-submissiond,
-          ntp
+	  systemd-timesyncd | time-daemon
 Provides: dovecot-abi-${dovecot:ABI-Version}, dovecot-common
 Replaces: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
 Breaks: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
