=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
   DOV_DEB_LDFLAGS += -fstack-clash-protection
 endif
 
+DOV_DEB_CFLAGS += $(shell CC=$(CC) krb5-config.mit --cflags)
 export DEB_CFLAGS_MAINT_APPEND = $(DOV_DEB_CFLAGS)
 export DEB_CXXFLAGS_MAINT_APPEND = $(DOV_DEB_CXXFLAGS)
 export DEB_LDFLAGS_MAINT_APPEND = $(DOV_DEB_LDFLAGS)
@@ -192,7 +193,7 @@
 	$(MAKE) install DESTDIR=$(CORE_DIR)
 	$(MAKE) -C $(PIGEONHOLE_DIR) install DESTDIR=$(CORE_DIR)
 	rm `find $(CURDIR)/debian -name '*.la'`
-	rm $(CORE_DIR)/usr/lib/dovecot/decode2text.sh
+	rm $(CORE_DIR)/usr/lib/dovecot/decode2text.sh $(CORE_DIR)/usr/lib/dovecot/settings-history.py
 
 override_dh_install:
 # dh_auto_install has installed everything in the dovecot-core package.
@@ -224,4 +225,3 @@
 # Install apport hook
 	install -D -m 644 debian/source_dovecot.py $(CURDIR)/debian/dovecot-core/usr/share/apport/package-hooks/dovecot-core.py
 
-	install -D -m644 debian/dovecot-imapd.ufw.profile debian/dovecot-imapd/etc/ufw/applications.d/dovecot-imapd
