=== debian/watch ===
# watch control file for uscan
version=4
# core
opts="pgpmode=auto, dversionmangle=s/\+dfsg\d*//, oversionmangle=s/(.*)/$1+dfsg1/" \
	https://dovecot.org/releases/2.4/dovecot-([\.0-9]+)\.tar\.gz debian
# pigeonhole
opts="pgpmode=auto, dversionmangle=s/\+dfsg\d*//, oversionmangle=s/(.*)/$1+dfsg1/, component=pigeonhole" \
	https://pigeonhole.dovecot.org/releases/2.4/dovecot-pigeonhole-([\.0-9]+)\.tar\.gz ignore uupdate
